# Run tests in check section
# disable for bootstrapping
%bcond_with check

%global goipath         github.com/anmitsu/go-shlex
%global commit          648efa622239a2f6ff949fed78ee37b48d499ba4

%global common_description %{expand:
go-shlex is a library to make a lexical analyzer like Unix shell for Go.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.2%{?dist}
Summary:        Library to make a lexical analyzer like Unix shell for golang
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%description
%{common_description}

%global golicenses LICENSE
%global godocs  README.md

%gopkg

%prep
%goprep


%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles



%changelog
* Thu Sep 17 2020 joequant <joequant> 0-0.2.mga8
+ Revision: 1628127
- fix build

* Wed Nov 28 2018 pterjan <pterjan> 0-0.1.mga7
+ Revision: 1336344
- imported package golang-github-anmitsu-shlex

